# $Id: composedatefrommods.py 2969 2010-01-25 14:31:42Z anton $
# $URL: https://svn.non-gnu.uvt.nl/uvt-dev/trunk/sources/meresco/bzv/src/composedatefrommods.py $

from meresco.core import Observable

class ComposeDateFromMods(Observable):
    def __init__(self, fieldName):
        Observable.__init__(self)
        self._namespaceMap = {'mods':'http://www.loc.gov/mods/v3'}
        self._fieldName = fieldName

    def addXml(self, lxmlNode):
        dates = lxmlNode.xpath('//mods:originInfo/mods:dateIssued/text()', namespaces=self._namespaceMap)
        for date in dates:
            yield self.do.addField(name=self._fieldName, value=str(date))
